using UnityEngine;
using System.Collections.Generic;

public class MultiProjectileAttack : MonoBehaviour 
{
    public Transform ProjectilePrefab;
    public List<Transform> LaunchPoints;

    void PerformAttack()
    {
        foreach(Transform point in LaunchPoints)
        {
            LaunchFromPoint(point);
        }
    }

    void LaunchFromPoint(Transform point)
    {
        Transform proj = Instantiate(ProjectilePrefab);
        proj.eulerAngles = point.eulerAngles;
        proj.position = point.position;
    }
}
